package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TRcauditmenuMapper;
import com.ruoyi.project.ehs.domain.TRcauditmenu;
import com.ruoyi.project.ehs.service.ITRcauditmenuService;

import javax.annotation.Resource;

/**
 * RC审计助手目录Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-07
 */
@Service
public class TRcauditmenuServiceImpl implements ITRcauditmenuService
{
    @Resource
    private TRcauditmenuMapper tRcauditmenuMapper;

    /**
     * 查询RC审计助手目录
     *
     * @param id RC审计助手目录ID
     * @return RC审计助手目录
     */
    @Override
    public TRcauditmenu selectTRcauditmenuById(Long id)
    {
        return tRcauditmenuMapper.selectTRcauditmenuById(id);
    }

    /**
     * 查询RC审计助手目录列表
     *
     * @param tRcauditmenu RC审计助手目录
     * @return RC审计助手目录
     */
    @Override
    public List<TRcauditmenu> selectTRcauditmenuList(TRcauditmenu tRcauditmenu)
    {
        return tRcauditmenuMapper.selectTRcauditmenuList(tRcauditmenu);
    }

    /**
     * 新增RC审计助手目录
     *
     * @param tRcauditmenu RC审计助手目录
     * @return 结果
     */
    @Override
    public int insertTRcauditmenu(TRcauditmenu tRcauditmenu)
    {
        return tRcauditmenuMapper.insertTRcauditmenu(tRcauditmenu);
    }

    /**
     * 修改RC审计助手目录
     *
     * @param tRcauditmenu RC审计助手目录
     * @return 结果
     */
    @Override
    public int updateTRcauditmenu(TRcauditmenu tRcauditmenu)
    {
        return tRcauditmenuMapper.updateTRcauditmenu(tRcauditmenu);
    }

    /**
     * 批量删除RC审计助手目录
     *
     * @param ids 需要删除的RC审计助手目录ID
     * @return 结果
     */
    @Override
    public int deleteTRcauditmenuByIds(Long[] ids)
    {
        return tRcauditmenuMapper.deleteTRcauditmenuByIds(ids);
    }

    /**
     * 删除RC审计助手目录信息
     *
     * @param id RC审计助手目录ID
     * @return 结果
     */
    @Override
    public int deleteTRcauditmenuById(Long id)
    {
        return tRcauditmenuMapper.deleteTRcauditmenuById(id);
    }
}
